Module javafx.graphics
Package javafx.css

# Class Style

java.lang.Object
javafx.css.Style

public final class Style extends Object
A Style is just the selector and declaration from a Rule.

Since:
  9

## Constructor Summary

Constructors
Constructor
Description
`Style(Selector selector, Declaration declaration)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Declaration`
`getDeclaration()`
The Declaration that is the source of the style that is about to be applied or has just been applied.
`Selector`
`getSelector()`
A selector might have more than one selector.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Style

public Style(Selector selector, Declaration declaration)

## Method Details

### getSelector

public Selector getSelector()
A selector might have more than one selector. This is the one that was matched.

Returns:
  the matched selector

### getDeclaration

public Declaration getDeclaration()
The Declaration that is the source of the style that is about to be applied or has just been applied. May be null if the value comes from the CSSProperty's initial (default) value.

Returns:
  the declaration

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`